'there is a scrollbar and textbox each reflecting a rate 
'of 1-10 that a user will enter 

'scroll bar
'textbox events

'we experimented with various textbox events 


Public Class FrmRateScrollBar
    Dim rate As Integer

    '*****************************************************
    'basic scrollbar event, 
    'update the textbox value to match scrollbar's value
    Private Sub hsbRate_Scroll(ByVal sender As System.Object, ByVal e As System.Windows.Forms.ScrollEventArgs) Handles hsbRate.Scroll
        rate = hsbRate.Value
        txtRate.Text = rate
    End Sub


    '******************************************************
    'event when user types and "key" goes down
    'we only wanted to do something when user hit the 
    'Enter key
    '(Note we also tried to do something when the user 
    'hit the Tab key, but that did not work -- that's 
    'why we went to the LostFocus event)
    Private Sub txtRate_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles txtRate.KeyDown
        'MsgBox(e.KeyCode)
        'MsgBox(e.KeyValue)
        If e.KeyCode = Keys.Enter Or e.KeyCode = Keys.Tab Then
            Try
                rate = txtRate.Text
                hsbRate.Value = rate
            Catch ex As Exception
                MsgBox("Please enter a number.")

            End Try
        End If
    End Sub


    '***************************************************
    'an event associated with user typing, aboandoned in 
    'favor of key down
    Private Sub txtRate_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtRate.KeyPress
        'MsgBox(e.KeyChar)

    End Sub

    '********************************************************
    'update scrollbar when the TextBox no longer has the 
    'focus
    Private Sub txtRate_LostFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles txtRate.LostFocus
        Try
            rate = txtRate.Text
            hsbRate.Value = rate
        Catch ex As Exception
            MsgBox("Please enter a number.")

        End Try
    End Sub


    '*****************************************************
    'update scrollbar value from textbox value when 
    'user's mouse leaves TextBox area 
    'possible problem while mouse leaves TextBox area 
    'the cursor (and focus) is still in the TextBox 
    Private Sub txtRate_MouseLeave(ByVal sender As Object, ByVal e As System.EventArgs) Handles txtRate.MouseLeave
        Try
            rate = txtRate.Text
            hsbRate.Value = rate
        Catch ex As Exception

        End Try
    End Sub

End Class
